net.corda.core.crypto

## Class MerkleTree.Node

- MerkleTree
- - net.corda.core.crypto.MerkleTree.Node

- Enclosing class:
    MerkleTree

      public static class MerkleTree.Node
      extends MerkleTree

- - ### Nested Class Summary

    - ### Nested classes/interfaces inherited from class net.corda.core.crypto.MerkleTree

      `MerkleTree.Companion, MerkleTree.Leaf, MerkleTree.Node`

  - ### Field Summary

    - ### Fields inherited from class net.corda.core.crypto.MerkleTree

      `Companion`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `Node(SecureHash value, MerkleTree left, MerkleTree right)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `MerkleTree` | `getLeft()`
    `MerkleTree` | `getRight()`
    `SecureHash` | `getValue()`

    - ### Methods inherited from class net.corda.core.crypto.MerkleTree

      `getHash`

- - ### Constructor Detail

    - #### Node

          public Node(SecureHash value,
                      MerkleTree left,
                      MerkleTree right)

  - ### Method Detail

    - #### getValue

          public SecureHash getValue()

    - #### getLeft

          public MerkleTree getLeft()

    - #### getRight

          public MerkleTree getRight()